Bug 210318 - Add test for SVM disabled via BIOS
Add test for SVM disabled via BIOS
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Depends On:
  Show dependency treegraph
Reported: 2006-10-11 11:17 EDT by Bhavna Sarathy
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.18-1.2732.el5xen
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-19 13:27:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Check whether SVM is disabled in the BIOS (860 bytes, patch)
2006-10-11 11:17 EDT, Bhavna Sarathy
no flags Details | Diff

  None (edit)
Description Bhavna Sarathy 2006-10-11 11:17:23 EDT
Description of problem:

Newer BIOS implementations will be able to disable the SVM feature,
although an additional test of an MSR  (VMCR 0xC0010114 bit 4) is
necessary (set equals disabled).  Bit 4 of MSR 0xc0010114 returns 0 (SVM
enabled) on machines with older BIOS' without the SVM disable feature

Version-Release number of selected component (if applicable):
Applies cleanly to 11730 upstream.   We have requested that the patch
be applied to xen-unstable.hg and xen-3.0.3-testing
Comment 1 Bhavna Sarathy 2006-10-11 11:17:25 EDT
Created attachment 138243 [details]
Check whether SVM is disabled in the BIOS
Comment 2 Tom Woller 2006-10-17 16:28:43 EDT
please ensure that changesets 11750 and 11751 from the 3.0.3 xen repository 
are utilized for this fix.
Comment 3 Rik van Riel 2006-10-19 13:25:57 EDT
OK, verified that this patch is in Xen changeset 11774, which is in RHEL5 B2.

Note You need to log in before you can comment on or make changes to this bug.